Help for integrating the Laravel package
Forum rules: Always add your Laravel, Aimeos and PHP version as well as your environment (Linux/Mac/Win)
#3225 by jossnaz
19 Aug 2016, 21:47
Code: Select allError while processing order with ID "16": Method "process" for provider not available Trace: #0 /var/www/html/myapp/ext/ai-controller-jobs/controller/jobs/src/Controller/Jobs/Order/Service/Delivery/Standard.php(112): Aimeos\MShop\Service\Provider\Decorator\Base->__call('process', Array)
#1 /var/www/html/myapp/vendor/aimeos/aimeos-laravel/src/Aimeos/Shop/Command/JobsCommand.php(60): Aimeos\Controller\Jobs\Order\Service\Delivery\Standard->run()
#2 [internal function]: Aimeos\Shop\Command\JobsCommand->fire()
#3 /var/www/html/myapp/vendor/laravel/framework/src/Illuminate/Container/Container.php(507): call_user_func_array(Array, Array)
#4 /var/www/html/myapp/vendor/laravel/framework/src/Illuminate/Console/Command.php(150): Illuminate\Container\Container->call(Array)
#5 /var/www/html/myapp/vendor/symfony/console/Command/Command.php(256): Illuminate\Console\Command->execute(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#6 /var/www/html/myapp/vendor/laravel/framework/src/Illuminate/Console/Command.php(136): Symfony\Component\Console\Command\Command->run(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#7 /var/www/html/myapp/vendor/symfony/console/Application.php(844): Illuminate\Console\Command->run(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#8 /var/www/html/myapp/vendor/symfony/console/Application.php(189): Symfony\Component\Console\Application->doRunCommand(Object(Aimeos\Shop\Command\JobsCommand), Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#9 /var/www/html/myapp/vendor/symfony/console/Application.php(120): Symfony\Component\Console\Application->doRun(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#10 /var/www/html/myapp/vendor/laravel/framework/src/Illuminate/Foundation/Console/Kernel.php(107): Symfony\Component\Console\Application->run(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#11 /var/www/html/myapp/artisan(35): Illuminate\Foundation\Console\Kernel->handle(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#12 {main}
#3226 by jossnaz
19 Aug 2016, 21:48
btw just saying.

When upgrading to aimeos 2016.07.2, that is with this composer file:

Code: Select all{
    "name": "laravel/laravel",
    "description": "The Laravel Framework.",
    "keywords": ["framework", "laravel"],
    "license": "MIT",
    "type": "project",
    "prefer-stable": true,
    "minimum-stability": "dev",
    "require": {
      "aimeos/aimeos-laravel": "2016.07.2",
        "php": ">=5.5.9",
        "laravel/framework": "5.1.*",
        "barryvdh/laravel-ide-helper": "^2.2",
        "aimeos/ai-payments": "2016.07.2"
    },
    "require-dev": {
        "fzaninotto/faker": "~1.4",
        "mockery/mockery": "0.9.*",
        "phpspec/phpspec": "~2.1",
        "phpunit/phpunit": "^5.4"
    },
    "autoload": {
        "classmap": [
            "database"
        ],
        "psr-4": {
            "Ffix\\": "app/"
        }
    },
    "autoload-dev": {
        "classmap": [
            "tests/TestCase.php"
        ]
    },
    "scripts": {
        "post-root-package-install": [
            "php -r \"copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "php artisan key:generate"
        ],
        "post-install-cmd": [
            "Illuminate\\Foundation\\ComposerScripts::postInstall",
            "php artisan optimize"
        ],
        "post-update-cmd": [
            "php artisan vendor:publish --tag=public --force",
            "php artisan vendor:publish",
            "php artisan migrate",
            "Illuminate\\Foundation\\ComposerScripts::postUpdate",
            "php artisan optimize"
        ]
    },
    "config": {
        "preferred-install": "dist"
    }
}


i get this output:


Code: Select allLoading composer repositories with package information
Updating dependencies (including require-dev)
  - Removing aimeos/aimeos-core (2016.04.13)
  - Installing aimeos/aimeos-core (2016.07.3)
    Loading from cache

  - Installing aimeos/ai-controller-frontend (2016.07.3)
    Loading from cache

  - Installing aimeos/ai-controller-jobs (2016.07.3)
    Loading from cache

  - Installing aimeos/ai-client-html (2016.07.4)
    Downloading: 100%         

  - Installing aimeos/ai-admin-jsonadm (2016.07.2)
    Loading from cache

  - Installing aimeos/ai-admin-jqadm (2016.07.3)
    Loading from cache

  - Installing aimeos/ai-admin-extadm (2016.07.2)
    Loading from cache

  - Removing aimeos/ai-laravel (2016.04.2)
  - Installing aimeos/ai-laravel (2016.07.2)
    Loading from cache

  - Removing aimeos/ai-gettext (2016.04.1)
  - Installing aimeos/ai-gettext (2016.07.2)
    Loading from cache

  - Removing aimeos/ai-swiftmailer (2016.04.1)
  - Installing aimeos/ai-swiftmailer (2016.07.2)
    Loading from cache

  - Removing aimeos/aimeos-laravel (2016.04.3)
  - Installing aimeos/aimeos-laravel (2016.07.2)
    Loading from cache

  - Removing aimeos/ai-payments (2016.04.3)
  - Installing aimeos/ai-payments (2016.07.2)
    Loading from cache
#3241 by aimeos
20 Aug 2016, 20:58
There's a problem with call_user_func_array(), which doesn't behave as written in the PHP docs (it doesn't return false if the called method isn't available). We made a workaround and released a new Aimeos core version, so the error doesn't occur any more. Thanks for spotting this!